package cn.pluss.platform.notice.template.impl;

import cn.pluss.platform.entity.NoticeTemplate;
import cn.pluss.platform.exception.MsgException;
import cn.pluss.platform.mapper.NoticeTemplateMapper;
import cn.pluss.platform.notice.template.NoticeTemplateService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 自定义消息通知模板表 服务实现类
 * </p>
 *
 * @author bzg
 * @since 2021-08-26
 */
@Service
public class NoticeTemplateServiceImpl extends ServiceImpl<NoticeTemplateMapper, NoticeTemplate> implements NoticeTemplateService {


    @Override
    public NoticeTemplate getNoticeTemplateByType(String type) {
        QueryWrapper<NoticeTemplate> queryWrapper = new QueryWrapper<NoticeTemplate>().eq("type",type);
        List<NoticeTemplate> noticeTemplates = this.baseMapper.selectList(queryWrapper);
        if(noticeTemplates.isEmpty()){
            MsgException.throwException("暂无可用模板，请先在自定义模板中添加模板");
        }
        return noticeTemplates.get(0);
    }
}
